Package org.bedework.synch.wsmessages

# Class SynchPropertyInfoType

java.lang.Object
org.bedework.synch.wsmessages.SynchPropertyInfoType

public class SynchPropertyInfoType extends Object
Used to provide information about a property to systems, allows them to request that information from the user. The description is not generically useful being single language. Applications should key off the name which is also not multi-language. Properties are transferred as key-value pairs with the value being a (java) String representation of the value. The value field is not supplied if no value is set - otherwise it represents the default value for new subscriptions or the current value for modifications.

Java class for SynchPropertyInfoType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SynchPropertyInfoType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="secure" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="type" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="required" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="value" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  `protected String`
  `name`
  `protected boolean`
  `required`
  `protected boolean`
  `secure`
  `protected String`
  `type`
  `protected String`
  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynchPropertyInfoType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Gets the value of the description property.
  `String`
  `getName()`
  Gets the value of the name property.
  `String`
  `getType()`
  Gets the value of the type property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `boolean`
  `isRequired()`
  Gets the value of the required property.
  `boolean`
  `isSecure()`
  Gets the value of the secure property.
  `void`
  `setDescription(String value)`
  Sets the value of the description property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setRequired(boolean value)`
  Sets the value of the required property.
  `void`
  `setSecure(boolean value)`
  Sets the value of the secure property.
  `void`
  `setType(String value)`
  Sets the value of the type property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### secure

    protected boolean secure

  - ### type

    protected String type

  - ### description

    protected String description

  - ### required

    protected boolean required

  - ### value

    protected String value

- ## Constructor Details

  - ### SynchPropertyInfoType

    public SynchPropertyInfoType()

- ## Method Details

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### isSecure

    public boolean isSecure()
    Gets the value of the secure property.

  - ### setSecure

    public void setSecure(boolean value)
    Sets the value of the secure property.

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDescription

    public String getDescription()
    Gets the value of the description property.
    Returns:
      possible object is `String`

  - ### setDescription

    public void setDescription(String value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `String`

  - ### isRequired

    public boolean isRequired()
    Gets the value of the required property.

  - ### setRequired

    public void setRequired(boolean value)
    Sets the value of the required property.

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`